# List Financial Accounts Lists FinancialAccounts in this compartment. ## Parameters - `limit` (integer, optional) The page limit. - `page` (string, optional) The page token. - `status` (enum, optional) The status of the FinancialAccount to filter by. By default, closed FinancialAccounts are not returned. Possible enum values: - `closed` The FinancialAccount is closed and cannot be used anymore. - `open` The FinancialAccount is open and available for use. - `pending` The FinancialAccount was created and is in the process of being opened. ## Returns ## Response attributes - `data` (array of objects) Financial Accounts retrieved. - `data.id` (string) Unique identifier for the object. - `data.object` (string, value is "v2.money_management.financial_account") String representing the object’s type. Objects of the same type share the same value of the object field. - `data.balance` (object) Multi-currency balance of this FinancialAccount, split by availability state. Each balance is represented as a hash where the key is the three-letter ISO currency code, in lowercase, and the value is the amount for that currency. - `data.balance.available` (map) Balance that can be used for money movement. - `data.balance.inbound_pending` (map) Balance of inbound funds that will later transition to the `available` balance. - `data.balance.outbound_pending` (map) Balance of funds that are being used for a pending outbound money movement. - `data.country` (enum) Two-letter country code that represents the country where the LegalEntity associated with the FinancialAccount is based in. - `data.created` (timestamp) Time at which the object was created. - `data.display_name` (string, nullable) A descriptive name for the FinancialAccount, up to 50 characters long. This name will be used in the Stripe Dashboard and embedded components. - `data.livemode` (boolean) Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode. - `data.metadata` (map, nullable) Metadata associated with the FinancialAccount. - `data.other` (object, nullable) If this is a `other` FinancialAccount, this hash indicates what the actual type is. Upgrade your API version to see it reflected in `type`. - `data.other.type` (string) The type of the FinancialAccount, represented as a string. Upgrade your API version to see the type reflected in `financial_account.type`. - `data.status` (enum) An enum representing the status of the FinancialAccount. This indicates whether or not the FinancialAccount can be used for any money movement flows. Possible enum values: - `closed` The FinancialAccount is closed and cannot be used anymore. - `open` The FinancialAccount is open and available for use. - `pending` The FinancialAccount was created and is in the process of being opened. - `data.status_details` (object, nullable) - `data.status_details.closed` (object, nullable) - `data.status_details.closed.forwarding_settings` (object, nullable) - `data.status_details.closed.forwarding_settings.payment_method` (string, nullable) The address to send forwarded payments to. - `data.status_details.closed.forwarding_settings.payout_method` (string, nullable) The address to send forwarded payouts to. - `data.status_details.closed.reason` (enum)Possible enum values: - `account_closed` The FinancialAccount is closed by stripe - `closed_by_platform` The FinancialAccount is closed by platform - `data.storage` (object, nullable) If this is a `storage` FinancialAccount, this hash includes details specific to `storage` FinancialAccounts. - `data.storage.holds_currencies` (array of enums) The currencies that this FinancialAccount can hold. - `data.type` (enum) Type of the FinancialAccount. An additional hash is included on the FinancialAccount with a name matching this value. It contains additional information specific to the FinancialAccount type. Possible enum values: - `other` The API version used does not support the FinancialAccount’s type. - `storage` Used for the long term storage of funds and sending those funds to others. - `next_page_url` (string, nullable) URL to fetch the next page of the list. If there are no more pages, the value is null. - `previous_page_url` (string, nullable) URL to fetch the previous page of the list. If there are no previous pages, the value is null. ```curl curl https://api.stripe.com/v2/money_management/financial_accounts \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-01-28.preview" ``` ### Response ```json { "data": [ { "id": "fa_65NvTFNdpXXUx1kx1rB16NoTesLDSQ1IgNPigisRKq09iq", "object": "v2.money_management.financial_account", "balance": { "available": { "usd": { "value": 0, "currency": "usd" } }, "inbound_pending": { "usd": { "value": 0, "currency": "usd" } }, "outbound_pending": { "usd": { "value": 0, "currency": "usd" } } }, "country": "US", "created": "2023-02-24T22:48:56.363Z", "display_name": "Sample FinancialAccount", "livemode": true, "metadata": null, "status": "open", "storage": { "holds_currencies": [ "usd" ] }, "type": "storage" } ], "next_page_url": null, "previous_page_url": null } ```